SERCOM_I2CM_CTRLB_Type Union Reference

## Data Fields

struct {
uint32_t __pad0__:8
uint32_t SMEN:1
uint32_t QCEN:1
uint32_t __pad1__:6
uint32_t CMD:2
uint32_t ACKACT:1
uint32_t __pad2__:13
} | bit
uint32_t | reg

## Detailed Description

Definition at line 282 of file sercom.h.

## Field Documentation

## __pad0__

uint32_t SERCOM_I2CM_CTRLB_Type::__pad0__

bit: 0.. 7 Reserved

Definition at line 284 of file sercom.h.

## __pad1__

uint32_t SERCOM_I2CM_CTRLB_Type::__pad1__

bit: 10..15 Reserved

Definition at line 287 of file sercom.h.

## __pad2__

uint32_t SERCOM_I2CM_CTRLB_Type::__pad2__

bit: 19..31 Reserved

Definition at line 290 of file sercom.h.

## ACKACT

uint32_t SERCOM_I2CM_CTRLB_Type::ACKACT

bit: 18 Acknowledge Action

Definition at line 289 of file sercom.h.

## bit

struct { ... } SERCOM_I2CM_CTRLB_Type::bit

Structure used for bit access

## CMD

uint32_t SERCOM_I2CM_CTRLB_Type::CMD

bit: 16..17 Command

Definition at line 288 of file sercom.h.

## QCEN

uint32_t SERCOM_I2CM_CTRLB_Type::QCEN

bit: 9 Quick Command Enable

Definition at line 286 of file sercom.h.

## reg

uint32_t SERCOM_I2CM_CTRLB_Type::reg

Type used for register access

Definition at line 292 of file sercom.h.

## SMEN

uint32_t SERCOM_I2CM_CTRLB_Type::SMEN

bit: 8 Smart Mode Enable

Definition at line 285 of file sercom.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/sercom.h